{ config, lib, pkgs, ... }:

with lib;
with lib.my;
let cfg = config.modules.desktop.media.recording;
in {
  options.modules.desktop.media.recording = {
    audio.enable = mkBoolOpt false;
    video.enable = mkBoolOpt false;
  };

  config = {
    user.packages = with pkgs;
      (if cfg.audio.enable then [
        ardour
        audacity
      ] else []) ++
      (if cfg.video.enable then [
        handbrake
        mkvtoolnix
        obs-studio
      ] else []);
  };
}